import React, {Component} from 'react'

import { langs } from '@/store/options.js'
import avatar from '@/assets/img/avatar.jpg'
import MainLogo from '@/assets/img/main-logo.png'
import './index.scss'

class MobHeader extends Component {
  state = {
    avatar: sessionStorage.getItem('CloudAvatar') || avatar,
    userName: sessionStorage.getItem('CloudUserName'),
    logo: sessionStorage.getItem('CloudLogo') || MainLogo
  }

  render () {
    const { logo } = this.state
    let lang = sessionStorage.getItem('lang')
    lang = lang !== 'zh-CN' ? langs[lang] || '' : ''

    return (
      <header className="mob-header-container">
        <div className="header-logo"><img src={logo} alt=""/></div>
        <span className="lang">{lang}</span>
        <div className="header-user">
          <img src={this.state.avatar} alt=""/>
          <span>
            <span className="username">{this.state.userName}</span>
          </span>
        </div>
      </header>
    )
  }
}

export default MobHeader